var images = [];
var index = 0;
var descript = '';
var vm;

apiready = function(){

    images = api.pageParam.images || [];
    index = api.pageParam.index || 0;

    vm = new Vue({
        el: '#content',
        data: {
            images: images,
            index: index,
            browserSwiper: null,
            count: ''
        },
        mounted: function() {
            var $this = this
            browserSwiper = new Swiper('.browser-body', {
                initialSlide: index,
                zoom: true,
                toggle: false,
                on: {
                    init: function() {
                      $this.count = ($this.index + 1) + '/' + $this.images.length
                    },
                    slideChangeTransitionEnd: function(){
                      $this.count = (this.realIndex + 1) + '/' + $this.images.length
                    },
                    click: function(){
                      api.closeFrame({
                          name: 'info-image-frame'
                      });
                    },
                },
            });
        },
        updated() {
            browserSwiper.update()
        },
        methods: {

        }
    })

}
