var vm;
var trendId = ''

function showShare() {
  vm.showshare = true
}

apiready = function() {

  trendId = api.pageParam.id;
  hotpage = api.pageParam.hotpage

  vm = new Vue({
      el: '#content',
      mixins: [mixin],
      data: {
        title: '',
        time: '',
        content: '',
        shareurl: '',
        sharedescript: '',
        showshare: false
      },
      created: function(){
        this.getTrendInfo()
      },
      updated: function() {
        var $this = this
        var imgs = this.$refs.description.getElementsByTagName('img');
        var _images = Array.from(imgs).map(function(item){
            return item.src
        })
        for (var i = 0; i < imgs.length; i++) {
          (function(i){
            imgs[i].addEventListener('click', function(){
                  $this.openImgZoomWin(_images, i)
            }, false)
          })(i)
        }
      },
      methods: {
        openImgZoomWin: function(_images, _index){
            api.openFrame({
                name: 'info-image-frame',
                url: './img_frame.html',
                rect: {
                    x: 0,
                    y: 0,
                    w: 'auto',
                    h: 'auto'
                },
                pageParam: {
                    images: _images,
                    index: _index
                },
                bounces: false,
                bgColor: 'rgba(0, 0, 0, 0.8)',
                vScrollBarEnabled: true,
                hScrollBarEnabled: true
            });

        },
        getTrendInfo: function(){
          var $this = this
          var url = '/api/article/GetArticleInfoById'
          if(hotpage) url = '/api/article/GetTodayInfoById'
          $app.ajax.get(url, {'id': trendId}, function(res) {
            var data = res.Data
            $this.title = data['fdArtiTitle']
            $this.time = $this.formatTime(data['fdArtiPublishTime'])
            $this.content = $this.filterContent(data['fdArtiContent'])
            $this.shareurl = $app.config.shareUrl + data['Url']
          })
        },
        wechatShare: function(_scene) {
          var $this = this
          var wxPlus = api.require('wxPlus');
          wxPlus.isInstalled(function(ret, err) {
              if (ret.installed) {
                wxPlus.shareWebpage({
                  scene: _scene,
                  title: $this.title,
                  description: $app.config.shareDescript,
                  thumb: 'widget://image/logo.png',
                  contentUrl: $this.shareurl
                }, function(ret, err) {
                  if (ret.status) {
                    api.toast({
                        msg: '分享成功',
                        duration: 2000,
                        location: 'bottom'
                    });
                  }
                });
              } else {
                  alert('当前设备未安装微信客户端');
              }
          });
        }
      }
    })
}
