var photoBrowser;

apiready = function() {

    api.addEventListener({
        name: 'photoBrowser_close'
    }, function(ret, err) {
        photoBrowser.close();
        api.sendEvent({
            name: 'photoBrowser_frame_close'
        });
    });

    var images = api.pageParam.images || [];
    var index = api.pageParam.index || 0;

    photoBrowser = api.require('UIPhotoViewer');
    photoBrowser.open({
        images: images,
        activeIndex: index,
        bgColor: 'rgba(0, 0, 0, .7)'
    }, function(ret, err) {
        if (ret.eventType == 'show') {
            api.openFrame({
                name: 'photoBrowser_tool',
                url: './photoBrowser_tool.html',
                rect: {
                    x: 0,
                    y: 0,
                    w: 'auto',
                    h: 64,
                },
                bgColor: 'rgba(0, 0, 0, 0)',
                pageParam: {
                    length: images.length,
                    index: 1
                }
            });
            api.bringFrameToFront({
                from: 'photoBrowser_tool'
            });
        }

        if (ret.eventType == 'change') {
            api.sendEvent({
                name: 'photoBrowserChange',
                extra: {
                    length: images.length,
                    index: ret.index + 1
                }
            });
        }
    });


}
