var headerH;
var vm;
var websiteUrl = null;
var headers = {};
var showclose = true;

apiready = function() {

  headerH = $app.ui.fixHeader();

  websiteUrl = api.pageParam.url;
  headers = api.pageParam.headers;
  showclose = api.pageParam.showclose;


  api.addEventListener({
      name: 'webBrowserEvent' //接收页面发送的事件
  }, function(ret, err){
      // console.log(JSON.stringify(ret))
      if(ret){
          var data = ret.value; //{type: 'back', value: '', url: ''}
          switch (data.type) {
            case 'back':

              break;
            case 'event':

              break;
            default:

          }
      }
  });

  vm = new Vue({
      el: '#app',
      data: {
        browser: null,
        title: '',
        showclose: showclose
      },
      mounted: function () {
        var that = this;
        that.browser = api.require('webBrowser');
        that.openBrowser({
            url: websiteUrl,
            top: headerH,
            headers: headers,
            onReady: function(title) {
                that.title = title;
            }
        })
      },
      methods: {
        openBrowser: function(options) {
            var __options = typeof options == 'string' ? {
                url: options
            } : options;
            var _options = Object.assign({
                url: '',
                //url: 'http://s.138mr.com/temp/138m/138home/test.html',
                headers: {},
                scaleEnabled: false,
                rect: {
                    x: 0,
                    y: 0,
                    w: 'auto',
                    h: 'auto',
                    marginLeft: 0,
                    marginTop: options.top ? options.top : 0,
                    marginBottom: options.bottom ? options.bottom : 0,
                    marginRight: 0
                },
                progress: {
                  color: 'rgba(255, 255, 255, 0)',
                  height: 1
                },
                onReady: function() {}
            }, __options)
            this.browser.openView(_options, function(ret, err) {
                // console.log(JSON.stringify(ret));
                switch (ret.state) {
                    case 0:
                        // 开始加载
                        websiteUrl = ret.url;
                        break;
                    case 1:
                        // 加载进度发生变化
                        break;
                    case 2:
                        // 结束加载
                        break;
                    case 3:
                        // title发生变化
                        if (typeof _options.onReady == 'function') _options.onReady(ret.title)
                        break;
                    case 4:
                        break;
                    default:
                        break;
                }
            });
        },
        backBrowserWin: function() {
          this.historyBack();
        },
        closeBrowserWin: function() {
          api.closeWin();
        },
        refreshBrowserWin: function() {
          this.loadUrl(websiteUrl);
        },
        closeBrowser: function() {
            this.browser.closeView();
        },
        loadUrl: function(url) {
            if (!url) return;
            this.browser.loadUrl({
                url: url
            });
        },
        loadScript: function(script) {
          if(!script) return;
            this.browser.loadScript({
                script: script
            });
        },
        historyBack: function() {
            this.browser.historyBack(
                function(ret, err) {
                    if (!ret.status) {
                        api.closeWin();
                    }
                }
            );
        },
        historyForward: function() {
            this.browser.historyForward(
                function(ret, err) {
                    if (!ret.status) {

                    }
                }
            );
        }
      }
    })


}
