var vm;

function handleAction(status){
    vm.itemStatus = status
}

apiready = function(){


    vm = new Vue({
        el: '#content',
        mixins: [mixin],
        data: {
            navItems: [
                // {id: 1, name: '趋势', selected: true},
                // {id: 2, name: '款式', selected: false},
                // {id: 3, name: '素材', selected: false},
                // {id: 4, name: '书刊', selected: false}
            ],
            dataItems: [],
            dataLoad: false,

            itemStatus: 0,
            allselect: false,
            showNav: '',

            cid: '',
            key: '',
            pageIndex: 1,
            pageSize: 10

        },
        computed: {
            // selectedNav: function(){
            //     var $this = this;
            //     return $this.navItems.find(item => item.selected)
            // },
            number: function(){
                var $this = this;
                var _num = 0;
                $this.dataItems.map(function(item){
                    if(item['selected'] == true) _num +=1
                })
                return _num
            }
        },
        created: function() {
          this.cid = api.pageParam.id
          //初始数据
          this.getData()
        },
        mounted: function() {
            var $this = this
            $app.win.toBottom(function() {
              $this.getData()
            })
        },
        methods: {
            navClick: function(index){
                var $this = this;
                $this.navItems.map(function(item, j){
                    if(index == j){
                        item.selected = true
                    }else{
                        item.selected = false
                    }
                })
                // 加载数据
                $this.getData()
            },
            selectAll: function(){
                var $this = this
                $this.allselect = !$this.allselect
                if($this.allselect){
                    $this.dataItems.map(function(item){
                        item['selected'] = true
                    });
                }else{
                    $this.dataItems.map(function(item){
                        item['selected'] = false
                    });
                }

            },
            imageClick: function(index){
                var $this = this;
                var _navId = $this.dataItems[index]['navId']
                if (_navId == 2){
                  var _image = $this.absoluteUrl($this.dataItems[index]['images'][0]['Image'])
                  $app.openBookBrowser({images: [_image]})
                }else{
                  $this.openImageViewWin($this.dataItems[index])
                }
            },
            openSameWin: function(index) {
              var $this = this
              var _id = $this.dataItems[index].id
              if(!_id) return
              $this.checkLogin(function() {
                $app.openSameWin({id: _id})
              })
            },
            delFavImage: function() {
              var $this = this
              var _dataItems = []
              $this.dataItems.map(function (item) {
                if (item['selected'] == true) {
                  _dataItems.push(item['fId'])
                }
              })
              if (_dataItems.length == 0){
                api.toast({
                    msg: '请选择要删除的图片',
                    duration: 2000,
                    location: 'bottom'
                });
                return
              }
              var _ids = _dataItems.join(',')
              api.showProgress({
                  title: '请稍等',
                  text: '正在操作中',
                  modal: false
              });
              $app.ajax.get('/api/user/DelFav', {ids: _ids}, function(res) {
                api.hideProgress();
                if(res.Code == 1){
                  api.toast({
                      msg: '操作成功',
                      duration: 2000,
                      location: 'bottom'
                  });
                  $this.pageIndex = 1
                  $this.dataItems = []
                  $this.getData()
                }else{
                  api.toast({
                      msg: '操作失败',
                      duration: 2000,
                      location: 'bottom'
                  });
                }
              })
            },
            //数据源
            getData: function(){
                var $this = this;

                var query_data = {
                  'cid': $this.cid,
                  'key': $this.key,
                  'pageIndex': $this.pageIndex,
                  'pageSize': $this.pageSize
                }
                $app.ajax.get('/api/user/GetUserFavoriteList', query_data, function(res){
                  //业务处理
                  $this.dataLoad = true

                  var data = res.Data
                  if(data.length > 0){
                    $this.pageIndex++
                    data.map(function(d){
                        var item = d.Image
                        var _item = {
                          'id': item['fdImagID'],
                          'title': $this.oneEmpty(item['fdImagName']),
                          'image': $this.absoluteUrl(item['fdImagSmallPath']),
                          'images': $this.contact([{'Image': item['fdImagPath'],'SmallImage': item['fdImagSmallPath']}], item['DetailImageList']),
                          'size': item['fdImagSize'],
                          'model': item['fdImagStyle'],
                          'detail': item['DetailImageList'],
                          'same': item['SameCount'],
                          'city': item['City'],
                          'season': item['Season'],
                          'cate': item['Cate'],
                          'brand': item['Brand'],
                          'style': item['Style'],
                          'type': item['Type'],
                          'navId': item['fdImagRecordType'], // 1 款式，素材，2书刊
                          'fId': d['fdFavoID'],
                          'selected': false
                        }
                        $this.dataItems.push(_item)
                    })
                  }
                })

            }
        }
    })

}
