var vm;
var _cid_;
var _brandId_, _brandName_, _property_;

apiready = function() {

  api.addEventListener({
      name: 'resetFrameGroupTop'
  }, function(ret, err){
    vm.navInit()
      $app.win.scrollTo(0, 0)
  });

  //下拉刷新
  $app.action.getRefresh(function() {
    vm.getData()
  })

    _cid_ = api.pageParam.id
    _brandId_ = api.pageParam.brandId
    _brandName_ = api.pageParam.brandName
    _property_ = api.pageParam.property || []

    var _hideNav_ = api.pageParam.hideNav || false
    var _hideFilter_ = api.pageParam.hideFilter || false
    var _viewStyle_ = api.pageParam.viewStyle

    api.addEventListener({
        name: 'materialFilterPane'
    }, function(ret, err) {
        console.log(JSON.stringify(ret))
        if (ret) {
            var filterData = ret.value.data
            var filterItems = []
            var propertyArr = []
            var brandArr = []

            var _property = filterData[0]
            _property['items'].map(function(item) {
                var _item = item
                _item['query'] = 'property'
                filterItems.push(_item)
                propertyArr.push(item['id'])
            })
            var _brand = filterData[1]
            _brand['items'].map(function(item) {
                var _item = item
                _item['query'] = 'brand'
                filterItems.push(_item)
                brandArr.push(item['id'])
            })

            var brandId = brandArr.join(',')
            var PropertStringList = propertyArr.join(',')
            vm.filterItems = filterItems
            vm.brandId = brandId
            vm.PropertStringList = PropertStringList
            vm.pageIndex = 1
            vm.getData()
        }
    });

    vm = new Vue({
        el: '#content',
        mixins: [mixin],
        data: {
            columnId: 3,
            navItems: [
                // {id: 17, name: '五金配饰', selected: true},
                // {id: 19, name: '新款面料', selected: false},
                // {id: 15, name: '时尚腰带', selected: false},
                // {id: 16, name: '设计图案', selected: false}
            ],
            filterItems: [],
            dataItems: [],

            navigation: '',

            viewstyle: 'cascades', // list,cascades

            bottomText: '数据加载中',
            dataLoading: false,
            showgototop: false,

            key: '',
            brandId: '',
            PropertStringList: '',
            size: '',
            publishBegin: '',
            publishEnd: '',
            pageIndex: 1,
            pageSize: 10,

            hideNav: _hideNav_,
            hideFilter: _hideFilter_

        },
        computed: {
            selectedNav: function() {
                var $this = this;
                return $this.navItems.find(item => item.selected)
            }
        },
        created: function() {
            var $this = this
            // this.getNav(this.columnId, function(data) {
            //
            //     var _index = data.findIndex(function (item) {
            //       return item['id'] == _cid_
            //     })
            //     if (_index > -1) {
            //       data.map(function (item, i) {
            //         item['selected'] = (i == _index) ? true : false
            //       })
            //     }
            //
            //     $this.navItems = data
            //
            //     //是否有传品牌
            //     if(_brandId_) $this.setBrand(_brandId_, _brandName_, '')
            //
            //     // 是否传递属性
            //     if(_property_) $this.setProperty(_property_)
            //
            //     //显示风格
            //     if(_viewStyle_) $this.viewstyle = _viewStyle_
            //
            //     //初始数据
            //     $this.getData()
            // })
            $this.navInit(function() {
                  //是否有传品牌
                  if(_brandId_) $this.setBrand(_brandId_, _brandName_, '')

                  // 是否传递属性
                  if(_property_) $this.setProperty(_property_)

                  //显示风格
                  if(_viewStyle_) $this.viewstyle = _viewStyle_

                  //初始数据
                  $this.getData()
            })
        },
        mounted: function() {
            var $this = this

            // 隐藏过滤不需监听事件
            if(!$this.hideFilter){
              // 刷选定位
              var filter_bar = document.getElementById('filter-bar');
              var filter_text = document.getElementById('filter-text');
              var filter_items = document.getElementById('filter-items');

              $app.swipe.stop(filter_items);
              $app.win.scroll({
                  scroll: function(scrollTop, clientHeight, clientWidth, scrollHeight, scrollDirection) {
                      if (scrollTop >= filter_bar.offsetTop) {
                          filter_text.style.position = 'fixed';
                          $this.showgototop = true;
                      } else {
                          filter_text.style.position = 'absolute';
                          $this.showgototop = false;
                      }
                  },
                  bottom: function() {
                      // console.log('bottom');
                  }
              })
            }

            $app.win.toBottom(function() {
                if ($user.checkLogin()) {
                    $this.bottomText = '数据加载中'
                    if(!$this.dataLoading) $this.getMoreData()
                } else {
                    $app.openLogin();
                    $this.bottomText = '登录查看更多'
                }
            })

        },
        methods: {
          navInit: function(callback) {
            var $this = this
            this.getNav(this.columnId, function(data) {
                var _index = data.findIndex(function (item) {
                  return item['id'] == _cid_
                })
                if (_index > -1) {
                  data.map(function (item, i) {
                    item['selected'] = (i == _index) ? true : false
                  })
                }
                $this.navItems = data
                if(typeof callback == 'function') callback()
            })
          },
            changeViewStyle: function(type) {
                var $this = this
                this.viewstyle = type
                // 加载数据
                $this.dataItems = []
                $this.pageIndex = 1
                $this.getData()
            },
            navClick: function(index) {
                var $this = this;
                $this.navItems.map(function(item, j) {
                        if (index == j) {
                            item.selected = true
                        } else {
                            item.selected = false
                        }
                    })

                $this.viewstyle = 'cascades'
                // 重置刷选
                $this.filterItems = []
                // 重置参数
                $this.key = ''
                $this.brandId = ''
                $this.PropertStringList = $this.selectedNav['property']
                $this.size = ''
                $this.publishBegin = ''
                $this.publishEnd = ''
                $this.pageIndex = 1
                $this.pageSize = 10
                // 加载数据
                $this.getData()
            },
            removeFilter: function(index) {
                var $this = this
                var item = $this.filterItems[index]
                $this.filterItems.splice(index, 1)

                $this.pageIndex = 1
                $this.pageSize = 10
                if (item['query'] == 'brand') {
                    $this.brandId = ''
                }
                if (item['query'] == 'property') {
                    var propertyStr = $this.PropertStringList
                    var propertyArr = []
                    propertyStr.split(',').map(function(property) {
                        if (property != item['id']) propertyArr.push(property)
                    })
                    $this.PropertStringList = propertyArr.join(',')
                }
                //加载数据
                $this.getData()

            },
            selectFilter: function() {
                var $this = this
                $this.navigation = this.selectedNav['id']
                //打开侧边
                $this.checkLogin(function() {
                  $app.openFilterWin({
                      name: 'photo_filter',
                      navigation: $this.navigation,
                      column: $this.columnId,
                      eventPage: 'material',
                      items: $this.filterItems
                  })
                })
            },
            setBrand: function(_id, _name, _cname) {
              var $this = this
              $this.filterItems.map(function(item, index){
                if(item['query'] == 'brand') $this.filterItems.splice(index, 1)
              })
              $this.filterItems.push({"id":_id, "name": _name, "cname": _cname, "selected":true, "query":"brand"})
              $this.brandId = _id
            },
            setProperty: function(property){
              var $this = this
              var _p = []
              property.map(function(item) {
                var _id = item.id
                var _name = item.name
                $this.filterItems.push({"id":_id, "name": _name, "selected":true, "query":"property"})
                _p.push(_id)
              })
              $this.PropertStringList = _p.join(',')
            },
            albumClick: function(index) {
                var $this = this
                var _id = $this.dataItems[index]['id']
                var _title = $this.dataItems[index]['title']
                var _time = $this.dataItems[index]['time']

                $this.checkLogin(function() {
                  $app.openAlbumWin({
                      type: 'album',
                      column: $this.columnId,
                      id: _id,
                      title: _title,
                      time: _time
                  })
                })

            },
            imageClick: function (index) {
              var $this = this
              $this.checkLogin(function() {
                $this.openImageViewWin($this.dataItems[index])
              })
            },
            openSameWin: function(index) {
              var $this = this
              var _id = $this.dataItems[index].id
              if(!_id) return
              $this.checkLogin(function() {
                $app.openSameWin({id: _id})
              })
            },
            handleAlbumData: function(item){
              var $this = this
              return {
                'id': item['fdModeID'],
                'title': $this.oneEmpty(item['fdModeTitle']),
                'image': $this.absoluteUrl(item['fdModePic']),
                'detail': [],
                'city': item['City'],
                'season': item['Season'],
                'cate': item['Cate'],
                'brand': item['Brand'],
                'style': item['Style'],
                'count': item['fdModePicCount'] + '张',
                'count2': item['fdModeImageCount'] + '张',
                'desc': item['fdModeDesc'],
                'view': item['fdModeClick'],
                'time': $this.formatTime(item['fdModePublishTime'])
              }
            },
            handleImageData: function(item) {
              var $this = this
              return {
                'id': item['fdImagID'],
                'title': $this.oneEmpty(item['fdImagName']),
                'image': $this.absoluteUrl(item['fdImagSmallPath']),
                'images': $this.contact([{'Image': item['fdImagPath'],'SmallImage': item['fdImagSmallPath']}], item['DetailImageList']),
                'size': item['fdImagSize'],
                'model': item['fdImagStyle'],
                'detail': item['DetailImageList'],
                'same': item['SameCount'],
                'city': item['City'],
                'season': item['Season'],
                'cate': item['Cate'],
                'brand': item['Brand'],
                'style': item['Style'],
                'type': item['Type'],
                'view': item['VisitCount'],
                'time': $this.formatTime(item['Model']['fdModePublishTime'])
              }
            },
            //数据源
            getData:function() {
              if(this.viewstyle == 'list'){
                this.getAlbumData()
              }else{
                this.getImageData()
              }
            },
            getAlbumData: function() {
                var $this = this;
                var navId = this.selectedNav['id']

                var query_data = {
                    'cid': navId,
                    'key': $this.key,
                    'brandId': $this.brandId,
                    'PropertStringList': $this.PropertStringList,
                    'size': $this.size,
                    'publishBegin': $this.publishBegin,
                    'publishEnd': $this.publishEnd,
                }

                api.showProgress();
                $app.ajax.postq('/api/album/GetAlbumIndexPageList', query_data, function(res) {
                    //业务处理
                    api.hideProgress()
                    if(res.Code == 1){
                      var data = res.Data
                      $this.dataItems = data.map(function(item) {
                          var _item = $this.handleAlbumData(item)
                          return _item
                      });
                    }
                })
            },
            getImageData: function() {
              var $this = this
              var navId = this.selectedNav['id']
              var query_data = {
                'cid': navId,
                'key': $this.key,
                'brandId': $this.brandId,
                'PropertStringList': $this.PropertStringList,
                'size': $this.size,
                'publishBegin': $this.publishBegin,
                'publishEnd': $this.publishEnd
              }

              api.showProgress();
              $app.ajax.postq('/api/album/GetImageIndexPageList', query_data, function(res){
                api.hideProgress();
                //业务处理
                if(res.Code == 1){
                  var data = res.Data
                  var _dataItems = []
                  $this.dataItems = data.map(function(item){
                      var _item = $this.handleImageData(item)
                      return _item
                  })
                }
              })
            },
            getMoreData: function() {
              this.dataLoading = true
              if(this.viewstyle == 'list'){
                this.getAlbumMoreData()
              }else{
                this.getImageMoreData()
              }
            },
            getAlbumMoreData: function() {
                var $this = this;
                var navId = this.selectedNav['id']

                var query_data = {
                    'cid': navId,
                    'key': $this.key,
                    'brandId': $this.brandId,
                    'PropertStringList': $this.PropertStringList,
                    'size': $this.size,
                    'publishBegin': $this.publishBegin,
                    'publishEnd': $this.publishEnd,
                    'pageIndex': $this.pageIndex + 1,
                    'pageSize': $this.pageSize
                }

                console.log(JSON.stringify(query_data))

                $app.ajax.postq('/api/album/GetAlbumList', query_data, function(res) {
                    //业务处理
                    $this.dataLoading = false
                    if(res.Code == 1){
                      var data = res.Data
                      if (data.length > 0) {
                          $this.pageIndex++
                              data.map(function(item) {
                                  var _item = $this.handleAlbumData(item)
                                  $this.dataItems.push(_item)
                              });
                      }else{
                        $this.bottomText = '我是有底线的'
                      }
                    }
                    if(res.Code == 2){
                      $app.openLogin();
                    }

                })
            },
            getImageMoreData: function() {
              var $this = this
              var navId = this.selectedNav['id']

              var query_data = {
                'cid': navId,
                'key': $this.key,
                'brandId': $this.brandId,
                'PropertStringList': $this.PropertStringList,
                'size': $this.size,
                'publishBegin': $this.publishBegin,
                'publishEnd': $this.publishEnd,
                'pageIndex': $this.pageIndex + 1,
                'pageSize': $this.pageSize
              }

              console.log(JSON.stringify(query_data))

              $app.ajax.postq('/api/album/GetImageList', query_data, function(res){
                //业务处理
                $this.dataLoading = false
                if(res.Code == 1){
                  var data = res.Data
                  if(data.length > 0){
                    $this.pageIndex++
                    data.map(function(item){
                        var _item = $this.handleImageData(item)
                        $this.dataItems.push(_item)
                    })
                  }else{
                    $this.bottomText = '我是有底线的'
                  }
                }
                if(res.Code == 2){
                  $app.openLogin();
                }
              })
            }
        }
    })
}
