var vm;


apiready = function() {

  api.addEventListener({
      name: 'resetFrameGroupTop'
  }, function(ret, err){
      $app.win.scrollTo(0, 0)
  });

  //下拉刷新
  $app.action.getRefresh(function() {
    vm.getData()
  })


        vm = new Vue({
            el: '#content',
            mixins: [mixin],
            data: {
                banner_items: [],

                hotBrand_data: [],
                hotBrand_more: false,

                qushi_cover: {},
                qushi_items: [],

                baokuan_items: [],

                jiepai_cover: {},
                jiepai_items: [],

                pinpai_cover_items: [],
                pinpai_items: [],

                chuchuang_items: [],

                minpai_cover_items: [],
                minpai_items: [],

                xiaozhong_items: [],

                shukan_cover: {},
                shukan_items: [],

                sucai_items: [],


                bannerSwiper: null,

                showgototop: false
            },
            computed: {
                hotBrand_items: function() {
                    return this.hotBrand_more ? this.hotBrand_data : this.hotBrand_data.slice(0, 16)
                }
            },
            created: function(){

            },
            mounted: function() {
                var $this = this

                $app.win.scroll({
                    scroll: function(scrollTop, clientHeight, clientWidth, scrollHeight, scrollDirection){
                        if(scrollTop >= 200){
                            $this.showgototop = true;
                        }else{
                            $this.showgototop = false;
                        }
                    }
                })

                this.getBannerData(function(){
                  $this.bannerSwiper = new Swiper('.swiper-banner-container', {
                      loop: true,
                      autoplay: {
                          delay: 5000
                      },
                      pagination: {
                          el: '.swiper-pagination',
                          clickable: true,
                      },
                      on: {
                          touchStart: function(swiper, event) {
                              $app.swipe.frameScrollDenabled();
                          },
                          touchMove: function(swiper, event) {
                              $app.swipe.frameScrollDenabled();
                          },
                          touchEnd: function(swiper, event) {
                              $app.swipe.frameScrollEnabled();
                          },
                          click: function(){
                            var index = $this.bannerSwiper.realIndex
                            api.sendEvent({
                                name: 'changeGroupFrameFromBanner',
                                extra: {
                                    pageParam: $this.aUrlToApp($this.banner_items[index]['url'])
                                }
                            })
                          }
                      }
                  })
                })

                $this.getData()

            },
            updated: function() {
                // this.bannerSwiper.update()
            },
            methods: {
                switchMenuNav: function(nav){
                  api.execScript({
                      name: api.winName,
                      script: 'switchMenu('+ nav +');'
                  });
                },
                switchToStyleNav: function(id) {
                    if (!id) return;
                    this.switchMenuNav(3)
                    setTimeout(function() {
                        api.sendEvent({
                            name: 'change-style-nav',
                            extra: {
                                id: id
                            }
                        });
                    }, 200)
                },

                //经典品牌
                // openSearchBrandWin: function(index) {
                //     var title = this.hotBrand_items[index]['name']
                //     $app.openWin({
                //         name: 'search-brand-result',
                //         url: 'widget://html/brand/brand_result/brand_result.html',
                //         pageParam: {
                //             title: title
                //         }
                //     })
                // },
                brandClick: function(index){
                  var $this = this
                  // console.log(JSON.stringify($this.hotBrand_items[index]))
                  var _id = $this.hotBrand_items[index]['id']
                  var _title = $this.hotBrand_items[index]['name']
                  //是否登录判断
                  $this.checkLogin(function() {
                    // $app.openAlbumWin({
                    //   type: 'hotbrand',
                    //   column: 0,
                    //   id: _id,
                    //   title: _title
                    // })
                    $app.openWin({
                        name: 'brand_list',
                        url: api.wgtRootDir + '/html/brand/brand_list/brand_list.html',
                        pageParam: {
                            id: _id,
                            title: _title
                        }
                    })

                  })
                },

                trendClick: function(nav, index){
                  var $this = this
                  var _id, _title
                  switch (nav) {
                    case 'trendbig':
                      _id = $this.qushi_cover['id']
                      _title = $this.qushi_cover['title']
                      break
                    case 'trend':
                      _id = $this.qushi_items[index]['id']
                      _title = $this.qushi_items[index]['title']
                      break
                    default:
                  }
                  $this.checkLogin(function(){
                    $app.openTrendWin({
                        id: _id,
                        title: _title,
                        name: '流行趋势'
                    })
                  })
                },

                albumClick: function(nav, index){
                    var $this = this
                    var _id, _title, _time
                    switch (nav) {
                      case 'baokuan':
                        _id = $this.baokuan_items[index]['id']
                        _title = $this.baokuan_items[index]['title']
                        break
                      case 'jiepaibig':
                        _id = $this.jiepai_cover['id']
                        _title = $this.jiepai_cover['title']
                        break
                      case 'jiepai':
                        _id = $this.jiepai_items[index]['id']
                        _title = $this.jiepai_items[index]['title']
                        break
                      case 'pinpaibig':
                        _id = $this.pinpai_cover_items[index]['id']
                        _title = $this.pinpai_cover_items[index]['title']
                        break
                      case 'pinpai':
                        _id = $this.pinpai_items[index]['id']
                        _title = $this.pinpai_items[index]['title']
                        break
                      case 'chuchuang':
                        _id = $this.chuchuang_items[index]['id']
                        _title = $this.chuchuang_items[index]['title']
                        break
                      case 'mingpaibig':
                        _id = $this.minpai_cover_items[index]['id']
                        _title = $this.minpai_cover_items[index]['title']
                        break
                      case 'mingpai':
                        _id = $this.minpai_items[index]['id']
                        _title = $this.minpai_items[index]['title']
                        break
                      case 'xiaozhong':
                        _id = $this.xiaozhong_items[index]['id']
                        _title = $this.xiaozhong_items[index]['title']
                        break;
                      default:

                    }
                    $this.checkLogin(function(){
                      $app.openAlbumWin({
                        type: 'album',
                        column: -1,
                        id: _id,
                        title: _title
                      })
                    })
                },

                bookbigClick: function(){
                  var $this = this
                  this.checkLogin(function(){
                    $app.openBookImageWin({
                      cid: $this.shukan_cover['cid'],
                      id: $this.shukan_cover['id'],
                      title: $this.shukan_cover['title']
                    })
                  })
                },
                bookClick: function(index){
                  var $this = this
                  this.checkLogin(function(){
                    var item = $this.shukan_items[index]
                    $app.openBookImageWin({
                      cid: item['cid'],
                      id: item['id'],
                      title: item['title']
                    })
                  })
                },
                getData: function() {
                  //热门品牌
                  this.getBrandData()
                  // 流行趋势
                  this.getQuShiData()
                  // 爆款推荐
                  this.getBaoKuanData()
                  // 明星街拍
                  this.getJiePaiData()
                  // 发布会
                  this.getFabuhuiData()
                  // 橱窗街拍
                  this.getChuChuangData()
                  // 名牌跟踪
                  this.getMinPaiData()
                  // 小众品牌
                  this.getXiaoZhongData()
                  // 时尚书刊
                  this.getShuKanData()
                  // 素材
                  // this.getShuCaiData()
                },
                //获取幻灯片
                getBannerData: function(fun) {
                    var $this = this
                    $app.ajax.get('/api/FlashNew/GetFlashNewList', {
                        'type': 2,
                        'topCount': 4
                    }, function(res) {
                        var data = res.Data
                        $this.banner_items = data.map(function(item) {
                            return {
                                'url': item['url'],
                                'title': $this.oneEmpty(item['name']),
                                'image': $this.absoluteUrl(item['pic'])
                            }
                        })
                        setTimeout(function(){
                          if(typeof fun == 'function') fun()
                        }, 100)
                    })
                },
                //经典品牌
                getBrandData: function() {
                    var $this = this
                    $app.ajax.get('/api/index/GetHotBrand', function(res) {
                        var data = res.Data
                        $this.hotBrand_data = data.map(function(item) {
                            var url = item['url']
                            url = url.split('-')
                            id = url[url.length - 1]
                            return {
                                'id': id,
                                'name': $this.oneEmpty(item['name']),
                                'image': $this.absoluteUrl(item['pic'])
                            }
                        })
                    })
                },
                //流行趋势
                getQuShiData: function(){
                  var $this = this;
                  this.getTrendData(3, function(data){
                    $this.qushi_cover = data[0]
                    $this.qushi_items = data.slice(0, 6)
                  })
                },
                //爆款推荐
                getBaoKuanData: function() {
                  var $this = this;
                  this.getStyleData(9, function(data){
                    $this.baokuan_items = data.slice(0, 6)
                  })
                },
                //明星街拍
                getJiePaiData: function() {
                    var $this = this;
                    this.getStyleData(8, function(data){
                      $this.jiepai_cover = data[0]
                      $this.jiepai_items = data.slice(0, 6)
                    })
                },
                //发布会
                getFabuhuiData: function() {
                    var $this = this
                    this.getStyleData(22, function(data){
                      $this.pinpai_cover_items = data.slice(0, 2)
                      $this.pinpai_items = data.slice(0, 6)
                    })
                },
                //橱窗实拍
                getChuChuangData: function() {
                    var $this = this
                    this.getStyleData(6, function(data){
                      $this.chuchuang_items = data.slice(0, 6)
                    })
                },
                // 名牌跟踪
                getMinPaiData: function(){
                  var $this = this;
                  this.getStyleData(5, function(data){
                    $this.minpai_cover_items = data.slice(0, 2)
                    $this.minpai_items = data.slice(0, 6)
                  })
                },
                // 小众品牌
                getXiaoZhongData: function(){
                  var $this = this
                  this.getStyleData(7, function(data){
                    $this.xiaozhong_items = data.slice(0, 6)
                  })
                },
                // 时尚书刊
                getShuKanData: function(){
                  var $this = this;
                  this.getBookData(0, function(data){
                    $this.shukan_cover = data[0]
                    $this.shukan_items = data.slice(0, 6)
                  })
                },
                // 素材
                getShuCaiData: function(){
                  var $this = this
                  this.getStyleData(15, function(data){
                    $this.sucai_items = data.slice(0, 6)
                  })
                },
                // 趋势
                getTrendData: function(cid, fun) {
                    var $this = this;
                    var query_data = {
                        'cid': cid,
                        'key': '',
                        'brandId': '',
                        'PropertStringList': '',
                        'publishBegin': '',
                        'publishEnd': ''
                    }
                    $app.ajax.postq('/api/article/GetArticlePageIndexList', query_data, function(res) {
                        //业务处理
                        var data = res.Data
                        var _ret = []
                        if (data.length > 0) {
                            _ret = data.map(function(item) {
                                return {
                                    'id': item['fdArtiID'],
                                    'title': $this.oneEmpty(item['fdArtiTitle']),
                                    'image': $this.absoluteUrl(item['fdArtiPic']),
                                    'city': item['City'],
                                    'season': item['Season'],
                                    'cate': item['Cate'],
                                    'desc': item['fdArtiDesc'],
                                    'view': item['fdArtiClick'],
                                    'time': $this.formatTime(item['fdArtiPublishTime'])
                                }
                            })
                        }
                        if(typeof fun == 'function') fun(_ret)
                    })
                },
                // 款式,素材 数据
                getStyleData: function(cid, fun) {
                    var $this = this
                    var query_data = {
                        'cid': cid,
                        'key': '',
                        'brandId': '',
                        'PropertStringList': '',
                        'size': '',
                        'publishBegin': '',
                        'publishEnd': '',
                    }
                    $app.ajax.postq('/api/album/GetAlbumIndexPageList', query_data, function(res) {
                        //业务处理
                        var data = res.Data
                        var _ret = []
                        if (data.length > 0) {
                            _ret = data.map(function(item) {
                                return {
                                    'id': item['fdModeID'],
                                    'title': $this.oneEmpty(item['fdModeTitle']),
                                    'image': $this.absoluteUrl(item['fdModePic']),
                                    'city': item['City'],
                                    'season': item['Season'],
                                    'cate': item['Cate'],
                                    'brand': item['Brand'],
                                    'style': item['Style'],
                                    'count': item['fdModePicCount'] + '张',
                                    'count2': item['fdModeImageCount'] + '张',
                                    'desc': item['fdModeDesc'],
                                    'view': item['fdModeClick'],
                                    'time': $this.formatTime(item['fdModePublishTime'])
                                }
                            })
                        }
                        if(typeof fun == 'function') fun(_ret)
                    })
                },
                // 书刊数据
                getBookData: function(cid, fun) {
                    var $this = this;
                    var query_data = {
                        'cid': cid,
                        'key': '',
                        'brandId': '',
                        'PropertStringList': '',
                        'publishBegin': '',
                        'publishEnd': ''
                    }

                    $app.ajax.postq('/api/book/GetBookIndexPageList', query_data, function(res) {
                        //业务处理
                        var data = res.Data
                        var _ret = []
                        if (data.length > 0) {
                            _ret = data.map(function(item) {
                                return {
                                    'cid': item['fdBookColumnID'],
                                    'id': item['fdBookID'],
                                    'title': $this.oneEmpty(item['fdBookTitle']),
                                    'image': $this.absoluteUrl(item['fdBookPic']),
                                    'desc': item['fdBookDesc'],
                                    'property': item['fdBookProperty'],
                                    'city': item['City'],
                                    'season': item['Season'],
                                    'cate': item['Cate'],
                                    'brand': item['Brand'],
                                    'count': item['fdBookPageCount'] + '页',
                                    'view': item['fdBookClick'],
                                    'size': item['fdBookSizeType'],
                                    'time': $this.formatTime(item['fdBookPublishTime'])
                                }
                            })
                        }
                        if(typeof fun == 'function') fun(_ret)
                    })
                }
            }
        })
      }

    //   {
    //   '趋势': [
    //     { id: 2, name: '热点分析' },
    //     { id: 3, name: '流行趋势' }
    //   ],
    //   '款式': [
    //     { id: 8, name: '明星街拍' },
    //     { id: 20, name: '广告大片' },
    //     { id: 22, name: '发布会' },
    //     { id: '21?p=173,967', name: '订货会' },
    //     { id: '21?p=174', name: '展会追踪' },
    //     { id: 5, name: '名牌跟踪' },
    //     { id: 6, name: '橱窗实拍' },
    //     { id: 9, name: '爆款推荐' },
    //     { id: 28, name: '国内市场' },
    //     { id: 7, name: '小众品牌' }
    //   ],
    //   '素材': [
    //     { id: 17, name: '五金配饰' },
    //     { id: 19, name: '新款面料' },
    //     { id: 15, name: '时尚腰带' },
    //     { id: 16, name: '设计图案' }
    //   ],
    //   '书刊': [
    //     { id: 13, name: '国外书刊' },
    //     { id: 14, name: '会员书刊' },
    //     { id: 12, name: '品牌书刊' },
    //     { id: 11, name: '时尚杂志' }
    //   ]
    // }
