var vm;

apiready = function () {

    vm = new Vue({
        el: '#content',
        mixins: [mixin],
        data: {

            formItems: {
              name: '',
              pwd: '',
              confirmPwd: '',

              company: '',
              contactName: '',
              mobile: '',
              email: 'null',
              address: 'null',

              telephone: 'null',
              fax: 'null',
              postCode: 'null',
              website: 'null',
            }

        },
        mounted() {
            var $this = this
        },
        methods: {
          alert: function(msg) {
            api.toast({
                msg: msg,
                duration: 2000,
                location: 'bottom'
            })
          },
          registerSubmit: function() {
            if(this.formItems.name == ''){
              this.alert('请填写登录账号')
              return
            }
            if(this.formItems.pwd == ''){
              this.alert('请填写登录密码')
              return
            }
            if(this.formItems.confirmPwd == ''){
              this.alert('请填写确认密码')
              return
            }
            if(this.formItems.pwd != this.formItems.confirmPwd){
              this.alert('两次输入的密码不一致')
              return
            }
            // if(this.formItems.company == ''){
            //   this.alert('请填写公司名称')
            //   return
            // }
            if(this.formItems.contactName == ''){
              this.alert('请填写联系人姓名')
              return
            }
            if(this.formItems.mobile == ''){
              this.alert('请填写联系电话')
              return
            }
            if(this.formItems.address == ''){
              this.alert('请填写联系地址')
              return
            }
            if(this.formItems.email == ''){
              this.alert('请填写邮箱地址')
              return
            }

            var query_data = {
              name: this.formItems.name,
              pwd: this.formItems.pwd,
              confirmPwd: this.formItems.confirmPwd,

              company: 'null',
              contactName: this.formItems.contactName,
              mobile: this.formItems.mobile,

              email: 'null@v-bags.com',
              address: 'null',
              telephone: 'null',
              fax: 'null',
              postCode: 'null',
              website: 'null',
            }

            $app.ajax.postq('/api/user/UserRegist', query_data, function(res){
              // console.log(JSON.stringify(res))
              if(res.Code == 1){
                api.alert({
                    title: '注册成功',
                    msg: '感谢您对唯包网的支持，稍后我们会有专门客服联系您。',
                }, function(ret, err) {
                  api.closeWin()
                })
              }else{
                api.toast({
                    msg: res.Message,
                    duration: 2000,
                    location: 'bottom'
                });

              }
            })

          }
        },
    })

}
