/*
微信开发者中心
帐号：ulyuv@163.com
密码：Zq123456

极光
13538884346
Zq123456
*/

//极光推送
var jpush;

// 首页
function openHomeWin() {
    $app.openHomeWin({
        type: 'none'
    })
}

// 兴趣
function openInterestFrame() {
    api.openWin({
        name: 'interest-frame',
        url: 'widget://html/interest/interest.html',
        rect: {
            x: 0,
            y: 0,
            w: 'auto',
            h: 'auto'
        },
        bgColor: 'rgba(255, 255, 255, 0)',
        pageParam: {},
        bounces: false,
        useWKWebView: true,
        vScrollBarEnabled: false, //是否显示垂直滚动条
        hScrollBarEnabled: false, //是否显示水平滚动条
        reload: false,
        allowEdit: true,
    });
}



// 极光推送绑定别名
function bindUserToAjpush(alias, tags) {
    if (!alias) alias = ''
    if (!tags) tags = []
    jpush.bindAliasAndTags({
        alias: alias,
        tags: tags
    }, function(ret, err) {
        console.log('处理结果：\n' + JSON.stringify(ret));
    });
}

// 极光跳转
function ajpushGoto(data) {
  // console.log(JSON.stringify(data))
  // 传送格式
  // {
  //   'type': '', //文章(article), 品牌(brand) 必填
  //   'id': '', // 趋势ID
  // }
  switch (data['type']) {
    case 'article':
      $app.openWin({
          name: 'trend-win',
          url: 'widget://html/browser/info/info.html',
          pageParam: {
              id: data['id'],
              title: '',
              name: '今日推荐',
              hotpage: true
          }
      })
      break;
    case 'brand':
      if($user.checkLogin()){
        $app.openWin({
            name: 'interest-win',
            url: 'widget://html/my/interest/interest.html'
        });
      }
      break;
  }
}

//请求用户登录
function userLogin(){
  var _user = $user.getLoginInfo()
  if(_user){
    var query_data = JSON.parse(_user)
    $app.ajax.postq('/api/user/UserLogin', query_data, function(res){
      //登录成功
      if(res.Code == 1){
        var data = res.Data
        var user = {
            Company: data['fdMembCompany'],
            MemberName: data['MemberName'],
            NickName: data['fdMembNickName'],
            MemberType: data['VIP'],
            HasViewPermission: data['HasViewPermission'],
            HasDownloadPermission: data['HasDownloadPermission'],
            VipStartTime: data['fdMembVipStartTime'],
            VipEndTime: data['fdmembVipEndTime'],
            TicketExpire: data['fdMembTicketExpire'],

            TICKET: data['fdMembTicket'],
            ID: data['fdMembID']
        }
        $user.setLogin(JSON.stringify(user))
        api.sendEvent({
            name: 'user-login-success',
            extra: {
                status: 1
            }
        });
      }
    })
  }
}

apiready = function() {

    jpush = api.require('ajpush')

    $app.ui.fixStatus();

    // //临时弹出测试
    // api.alert({
    //     title: '此版本为测试版本',
    //     msg: '仅供开发者和测试者提供开发测试环境，禁止对外发布!',
    // }, function(ret, err){});
    //
    // //设置测试期
    // var overTime = new Date(Date.parse('2021-6-30'))
    // var curTime = new Date()
    // if(curTime >= overTime){
    //   api.alert({
    //       title: '测试版本已过期',
    //       msg: '该版本测试期已过，请联系开发者!',
    //   });
    //   return
    // }

    jpush.getRegistrationId(function(ret) {
        // alert( JSON.stringify( ret.id ) );
        $user.setAjpush(ret.id)
        // 1104a897920503e306e
        // 121c83f760f32a16e37
    });

    //每次打开app去获取用户信息
    userLogin()

    // 用户是否选择过感兴趣品牌
    openHomeWin()
    // if ($user.checkInterest()) {
    //     openHomeWin()
    // } else {
    //     openInterestFrame()
    // }



    //极光推送
    jpush.init(function(ret, err) {
        if (ret && ret.status) {
            console.log('JPush init successful')
        }
    })

    // 注册监听 注册该监听后，应用在前台运行时，“通知”类型的推送，iOS平台也将直接交给该监听的回调函数，Android则会自动弹出通知到状态栏
    jpush.setListener(function(ret) {
           var title = ret.title;
           var content = ret.content;
           var data = ret.extra;

           api.confirm({
               title: '通知提醒',
               msg: '有新的推送通知，是否查看',
           }, function(ret, err){
               var index = ret.buttonIndex
               if(index === 2) ajpushGoto(data)
               console.log(index)
           });
      }
  );

    // android状态栏通知被用户点击后的回调
    api.addEventListener({
        name: 'appintent'
    }, function(ret, err) {
      // alert(JSON.stringify(ret))
        //监听通知被点击后收到的数据
        if (ret && ret.appParam.ajpush) {
            var ajpush = ret.appParam.ajpush;
            var content = ajpush.content;
            var data = ajpush.extra;
            ajpushGoto(data)
        }
    })

    // ios状态栏通知被用户点击后的回调
    api.addEventListener({
        name: 'noticeclicked'
    }, function(ret, err) {
        if (ret && ret.value) {
            var ajpush = ret.value;
            var content = ajpush.content;
            var data = ajpush.extra;
            ajpushGoto(data)
        }
    })

    // 应用进入后台事件
    api.addEventListener({
        name: 'pause'
    }, function(ret, err) {
        //监听应用进入后台，通知jpush暂停事件
        // jpush.onPause();
        console.log('应用进入后台');
    });

    // 应用从后台回到前台事件
    api.addEventListener({
        name: 'resume'
    }, function(ret, err) {
        //监听应用恢复到前台，通知jpush恢复事件
        // jpush.onResume();
        console.log('应用回到后台');
    });

};
