function setPush() {
    var jpush = api.require('ajpush')

    jpush.init(function(ret, err) {
        if (ret && ret.status) {
            console.log('JPush init successful')
        }
    })

    // 监听消息推送(收到的消息将通过此函数回调给网页，不再弹出通知到状态栏)
    // jpush.setListener(function(ret, err) {
    //     // var ret = {
    //     //     id:''               //推送id，可能为空
    //     //     title:''            //推送标题，可能为空
    //     //     content:''          //推送内容
    //     //     extra:{}            //额外键值对，可能为空
    //     //     isNotification:     //是否是通知，只支持iOS，布尔类型
    //     // }
    //     if (ret) {
    //         console.log({msg: '收到消息：\n' + JSON.stringify(ret)})
    //         //notify();//也可自行调用api.notification弹出本地通知，见notify()函数
    //     }
    // })

    // 状态栏通知被用户点击后的回调(Android)
    api.addEventListener({
        name: 'appintent'
    }, function(ret, err) {
        alert('通知被点击，收到数据：\n' + JSON.stringify(ret)); //监听通知被点击后收到的数据
        if (ret && ret.appParam.ajpush) {
            var ajpush = ret.appParam.ajpush;

            var id = ajpush.id;
            var title = ajpush.title;
            var content = ajpush.content;
            var extra = ajpush.extra; // json
            alert(JSON.stringify(ajpush))
        }
    })

    // 状态栏通知被用户点击后的回调(ios)
    // api.addEventListener({
    //     name: 'noticeclicked'
    // }, function(ret, err) {
    //     if (ret && ret.value) {
    //         var ajpush = ret.value;
    //         var content = ajpush.content;
    //         var extra = ajpush.extra;
    //         alert(JSON.stringify(ajpush))
    //     }
    // })

    //监听应用进入后台，通知jpush暂停事件
    api.addEventListener({
        name: 'pause'
    }, function(ret, err) {
        jpush.onPause();
        console.log('JPush onPause');
    })

    //监听应用恢复到前台，通知jpush恢复事件
    api.addEventListener({
        name: 'resume'
    }, function(ret, err) {
        jpush.onResume();
        console.log('JPush onResume');
    })

}


function getId(){
  var ajpush = api.require('ajpush');
  ajpush.getRegistrationId(function(ret) {
      var registrationId = ret.id;
  });
}
