var fixedHeaderH = 0;
var vm;

apiready = function() {

  //下拉刷新
  $app.action.getRefresh(function() {
    vm.getData()
  })

  api.addEventListener({
      name: 'resetFrameGroupTop'
  }, function(ret, err){
    vm.navInit()
      $app.win.scrollTo(0, 0)
  });

    api.addEventListener({
        name: 'bookFilterPane'
    }, function(ret, err) {
        console.log(JSON.stringify(ret))
        if (ret) {
            var filterData = ret.value.data
            var filterItems = []
            var propertyArr = []
            var brandArr = []

            var _property = filterData[0]
            _property['items'].map(function(item) {
                var _item = item
                _item['query'] = 'property'
                filterItems.push(_item)
                propertyArr.push(item['id'])
            })
            var _brand = filterData[1]
            _brand['items'].map(function(item) {
                var _item = item
                _item['query'] = 'brand'
                filterItems.push(_item)
                brandArr.push(item['id'])
            })

            var brandId = brandArr.join(',')
            var PropertStringList = propertyArr.join(',')
            vm.filterItems = filterItems
            vm.brandId = brandId
            vm.PropertStringList = PropertStringList
            vm.pageIndex = 1
            vm.getData()
        }
    });

    // 书刊头部高度
    if (api.pageParam.headerH) fixedHeaderH = api.pageParam.headerH

    vm = new Vue({
        el: '#content',
        mixins: [mixin],
        data: {
            columnId: 2,
            navItems: [
                // {id: 13, name: '国外书刊', selected: true},
                // {id: 14, name: '会员书刊', selected: false},
                // {id: 12, name: '品牌书刊', selected: false},
                // {id: 11, name: '时尚杂志', selected: false}
            ],
            filterItems: [],
            bookItems: [],
            navigation: '',
            viewstyle: 'cascades', // list,cascades

            bottomText: '数据加载中',
            dataLoading: false,
            showgototop: false,

            key: '',
            brandId: '',
            PropertStringList: '',
            publishBegin: '',
            publishEnd: '',
            pageIndex: 1,
            pageSize: 10

        },
        computed: {
            selectedNav: function() {
                var $this = this;
                return $this.navItems.find(item => item.selected)
            }
        },
        created: function() {
            var $this = this
            $this.navInit(function() {
              $this.getData()
            })
            // this.getNav(this.columnId, function(data) {
            //     $this.navItems = data
            //         //初始数据
            //     $this.getData()
            // })
        },
        mounted: function() {
            var $this = this
                // 刷选定位
            var filter_bar = document.getElementById('filter-bar');
            var filter_text = document.getElementById('filter-text');
            var filter_items = document.getElementById('filter-items');

            $app.swipe.stop(filter_items);
            $app.win.scroll({
                scroll: function(scrollTop, clientHeight, clientWidth, scrollHeight, scrollDirection) {
                    if (scrollTop >= filter_bar.offsetTop) {
                        filter_text.style.position = 'fixed';
                        $this.showgototop = true;
                    } else {
                        filter_text.style.position = 'absolute';
                        $this.showgototop = false;
                    }
                },
                bottom: function() {
                    // console.log('bottom');
                }
            })

            $app.win.toBottom(function() {
                if ($user.checkLogin()) {
                    $this.bottomText = '数据加载中'
                    if(!$this.dataLoading) $this.getMoreData()
                } else {
                    $app.openLogin();
                    $this.bottomText = '登录查看更多'
                }
            })
        },
        methods: {
          navInit: function(callback) {
            var $this = this
            this.getNav(this.columnId, function(data) {
                $this.navItems = data
                if(typeof callback == 'function') callback()
            })
          },
            changeViewStyle: function(type) {
                this.viewstyle = type
            },
            navClick: function(index) {
                var $this = this;
                $this.navItems.map(function(item, j) {
                  if (index == j) {
                    item.selected = true
                  } else {
                    item.selected = false
                  }
                })

                // 会员专刊展示列表
                if(this.selectedNav['id'] == 14){
                  $this.viewstyle = 'list'
                }else{
                  $this.viewstyle = 'cascades'
                }

                // 重置刷选
                $this.filterItems = []
                // 重置参数
                $this.key = ''
                $this.brandId = ''
                $this.PropertStringList = $this.selectedNav['property']
                $this.publishBegin = ''
                $this.publishEnd = ''
                $this.pageIndex = 1
                $this.pageSize = 10
                    // 加载数据
                $this.getData()
            },
            removeFilter: function(index) {
                var $this = this
                var item = $this.filterItems[index]
                $this.filterItems.splice(index, 1)
                $this.pageIndex = 1
                $this.pageSize = 10
                if (item['query'] == 'brand') {
                    $this.brandId = ''
                }
                if (item['query'] == 'property') {
                    var propertyStr = $this.PropertStringList
                    var propertyArr = []
                    propertyStr.split(',').map(function(property) {
                        if (property != item['id']) propertyArr.push(property)
                    })
                    $this.PropertStringList = propertyArr.join(',')
                }
                //加载数据
                $this.getData()

            },
            selectFilter: function() {
                var $this = this
                $this.navigation = this.selectedNav['id']
                //打开侧边
                $this.checkLogin(function() {
                  $app.openFilterWin({
                      name: 'book_filter',
                      navigation: $this.navigation,
                      column: $this.columnId,
                      eventPage: 'book',
                      items: $this.filterItems
                  })
                })

            },
            // 往期杂志
            historyClick: function(index) {
                var item = this.bookItems[index]
                var _property = item['typeId']
                var _cid = item['cid']
                $app.openWin({
                    name: 'book_history',
                    url: 'widget://html/book/book_history/book_history.html',
                    pageParam: {
                        property: _property,
                        cid: _cid,
                        style: this.viewstyle
                    }
                })
            },
            //书刊图片
            bookClick: function(index){
              var item = this.bookItems[index]
              this.checkLogin(function() {
                $app.openWin({
                    name: 'book_image',
                    url: 'widget://html/book/book_image/book_image.html',
                    pageParam: {
                      cid: item['cid'],
                      id: item['id'],
                      title: item['title']
                    }
                })
              })
            },

            //数据源
            getData: function() {
                var $this = this;
                var navId = this.selectedNav['id']

                var query_data = {
                    'cid': navId,
                    'key': $this.key,
                    'brandId': $this.brandId,
                    'PropertStringList': $this.PropertStringList,
                    'publishBegin': $this.publishBegin,
                    'publishEnd': $this.publishEnd,
                }

                api.showProgress();
                $app.ajax.postq('/api/book/GetBookIndexPageList', query_data, function(res) {
                    //业务处理
                    // console.log(JSON.stringify(res))
                    var data = res.Data
                    $this.bookItems = data.map(function(item) {
                        var _item = {
                            'cid': item['fdBookColumnID'],
                            'id': item['fdBookID'],
                            'title': $this.oneEmpty(item['fdBookTitle']),
                            'image': $this.absoluteUrl(item['fdBookPic']),
                            'desc': item['fdBookDesc'],
                            'typeId': item['IndexPropertyId'],
                            'property': item['fdBookProperty'],
                            'city': item['City'],
                            'season': item['Season'],
                            'cate': item['Cate'],
                            'brand': item['Brand'],
                            'count': item['fdBookPageCount'] + '页',
                            'view': item['fdBookClick'],
                            'size': item['fdBookSizeType'],
                            'time': $this.formatTime(item['fdBookPublishTime'])
                        }
                        return _item
                    });
                    api.hideProgress()
                })
            },
            getMoreData: function() {
                var $this = this;
                var navId = this.selectedNav['id']

                var query_data = {
                    'cid': navId,
                    'key': $this.key,
                    'brandId': $this.brandId,
                    'PropertStringList': $this.PropertStringList,
                    'publishBegin': $this.publishBegin,
                    'publishEnd': $this.publishEnd,
                    'pageIndex': $this.pageIndex + 1,
                    'pageSize': $this.pageSize
                }

                $this.dataLoading = true

                console.log(JSON.stringify(query_data))

                $app.ajax.postq('/api/book/GetBookList', query_data, function(res) {
                    //业务处理
                    $this.dataLoading = false
                    if(res.Code == 1){
                      var data = res.Data
                      if (data.length > 0) {
                          $this.pageIndex++
                              data.map(function(item) {
                                var _item = {
                                    'cid': item['fdBookColumnID'],
                                    'id': item['fdBookID'],
                                    'title': $this.oneEmpty(item['fdBookTitle']),
                                    'image': $this.absoluteUrl(item['fdBookPic']),
                                    'desc': item['fdBookDesc'],
                                    'property': item['fdBookProperty'],
                                    'city': item['City'],
                                    'season': item['Season'],
                                    'cate': item['Cate'],
                                    'brand': item['Brand'],
                                    'count': item['fdBookPageCount'] + '页',
                                    'view': item['fdBookClick'],
                                    'size': item['fdBookSizeType'],
                                    'time': $this.formatTime(item['fdBookPublishTime'])
                                }
                                  $this.bookItems.push(_item)
                              });
                      }
                    }
                    if(res.Code == 2){
                      $app.openLogin();
                    }

                })

            }
        }
    })

}
