var images = [];
var index = 0;
var descript = '';
var vm;

apiready = function(){

    images = api.pageParam.images || [];
    index = api.pageParam.index || 0;
    descript =api.pageParam.descript || '';

    vm = new Vue({
        el: '#content',
        data: {
            images: images,
            descript: descript,
            index: index,
            expend: true,
            browserSwiper: null
        },
        mounted: function() {
            var $this = this
            browserSwiper = new Swiper('.browser-body', {
                zoom: true,
                on: {
                    slideChangeTransitionEnd: function(){
                      $this.navigationChange(this.realIndex)
                    },
                },
            });
        },
        updated() {
            browserSwiper.update()
        },
        methods: {
            navigationChange: function(index){
                var $this = this
                api.sendEvent({
                    name: 'photoBrowserChange',
                    extra: {
                        length: $this.images.length,
                        index: index + 1
                    }
                });
            }
        }
    })

}
