var winName, frameName;
var closeable;
var css;
var content;
var callback;
var close;
var hideClose;

/*pop弹出层说明
app.openPop({
        css: ['../../../css/examination.css'], //弹出层引用样式,数组形式
        content: `<div class="questions-alert">
            <div class="head"></div>
            <div class="descript">
                <div class="item">您还剩余<b>59</b>道题未做</div>
                <div class="item">您答错<b>6</b>道题</div>
                <div class="item">您本次考试得分<b>65</b>分</div>
            </div>
            <div class="button" tapmode onclick="eventHandle('openDownloadWin')">现在交卷</div>
        </div>`, //弹出内容
        callback: 'popCallback', //弹出层回调，字符串函数名
        close: 'popClose', //关闭弹出层回调，字符串函数名
        hideClose: true //是否移除关闭按钮
    });

外部方法
api.execScript({
    name: 'pop-win',
    script: 'closePop();'
});
内容处理函数
eventHandle('openDownloadWin') //传入字符串函数名

 */

function closeWin() {
    api.closeFrame({
        name: api.frameName
    });
    if (close) eventHandle(close);
}

function closePop() {
    closeWin();
}

function closeAll(){
    if(closeable){
        api.closeFrame({
            name: api.frameName
        });
    }
}

function eventHandle(method, str) {
    if (str == undefined) str = 0;
    api.execScript({
        name: winName,
        frameName: frameName,
        script: '' + method + '("' + str + '");'
    });
}
apiready = function () {

    winName = api.pageParam.winName;
    frameName = api.pageParam.frameName;
    closeable = api.pageParam.closeable;

    css = api.pageParam.css || [];
    content = api.pageParam.content || '<p style="color:white;text-align:center">请传入弹出层内容</p>';
    callback = api.pageParam.callback || null;
    close = api.pageParam.close || null;
    hideClose = api.pageParam.hideClose || false;

    var head = document.getElementsByTagName('head')[0];
    for (var i = 0; i < css.length; i++) {
        var link = document.createElement('link');
        link.rel = 'stylesheet';
        link.type = 'text/css';
        link.href = css[i]
        head.appendChild(link);
    }

    $api.html($api.byId('pop-content'), content);
    setTimeout(function () {
        $api.css($api.byId('pop-container'), 'opacity:1');
    }, 200);
    if (!hideClose) $api.css($api.byId('pop-close'), 'display:block');

    if (callback) eventHandle(callback);

    if(closeable){
        document.getElementById('pop-container').addEventListener('click', function(){
          api.closeFrame({
              name: api.frameName
          });
        }, false);
    }

    // api.addEventListener({
    //     name: 'closePop'
    // }, function (ret, err) {
    //     closePop();
    //     if (ret && ret.value.callback) {
    //         setTimeout(function () {
    //             api.sendEvent({
    //                 name: 'openPop'
    //             });
    //         }, 500);
    //     }
    // });
}
