var vm;
var _cid_;

apiready = function() {

  _cid_ = api.pageParam.id || -1

  api.addEventListener({
      name: 'resetFrameGroupTop'
  }, function(ret, err){
    vm.navInit()
      $app.win.scrollTo(0, 0)
  });

  //下拉刷新
  $app.action.getRefresh(function() {
    vm.getData()
  })

  api.addEventListener({
      name: 'trendFilterPane'
  }, function(ret, err){
    console.log(JSON.stringify(ret))
      if( ret ){
        var filterData = ret.value.data
        var filterItems = []
        var propertyArr = []
        var brandArr = []

        var _property = filterData[0]
        _property['items'].map(function(item){
          var _item = item
          _item['query'] = 'property'
          filterItems.push(_item)
          propertyArr.push(item['id'])
        })
        var _brand = filterData[1]
        _brand['items'].map(function(item){
          var _item = item
          _item['query'] = 'brand'
          filterItems.push(_item)
          brandArr.push(item['id'])
        })

        var brandId = brandArr.join(',')
        var PropertStringList = propertyArr.join(',')
        vm.filterItems = filterItems
        vm.brandId = brandId
        vm.PropertStringList = PropertStringList
        vm.pageIndex = 1
        vm.getData()
      }
  });

    vm = new Vue({
        el: '#content',
        mixins: [mixin],
        data: {
            columnId: 0,
            navItems: [
                // {id: 3, name: '流行趋势', selected: true},
                // {id: 2, name: '热点分析', selected: false}
            ],
            filterItems: [
                // {id: 2, query: 'type', name: '女包'},
                // {id: 3, query: 'season', name: '设计趋势'},
                // {id: 5, query: 'season', name: '2021秋冬'},
            ],
            dataItems: [],

            navigation: '',

            viewstyle: 'list', // list,cascades


            bottomText: '数据加载中',
            dataLoading: false,
            showgototop: false,

            key: '',
            brandId: '',
            PropertStringList: '',
            publishBegin: '',
            publishEnd: '',
            pageIndex: 1,
            pageSize: 10
        },
        computed: {
            selectedNav: function(){
                var $this = this;
                return $this.navItems.find(item => item.selected)
            }
        },
        created: function() {
          var $this = this
          $this.navInit(function() {
            $this.getData()
          })
          // this.getNav(this.columnId, function(data){
          //   var _index = data.findIndex(function (item) {
          //     return item['id'] == _cid_
          //   })
          //   if (_index > -1) {
          //     data.map(function (item, i) {
          //       item['selected'] = (i == _index) ? true : false
          //     })
          //   }
          //   $this.navItems = data
          //   //初始数据
          //   $this.getData()
          // })
        },
        mounted: function() {
            var $this = this

            // 刷选定位
            var filter_bar = document.getElementById('filter-bar');
            var filter_text = document.getElementById('filter-text');
            var filter_items = document.getElementById('filter-items');


            $app.swipe.stop(filter_items);
            $app.win.scroll({
                scroll: function(scrollTop, clientHeight, clientWidth, scrollHeight, scrollDirection){
                    if(scrollTop >= filter_bar.offsetTop){
                        filter_text.style.position = 'fixed';
                        $this.showgototop = true;
                    }else{
                        filter_text.style.position = 'absolute';
                        $this.showgototop = false;
                    }
                },
                bottom: function(){

                }
            })

            $app.win.toBottom(function() {
              if($user.checkLogin()){
                $this.bottomText = '数据加载中'
                if(!$this.dataLoading) $this.getMoreData()
              }else{
                $app.openLogin();
                $this.bottomText = '登录查看更多'
              }
            })

        },
        methods: {
          navInit: function(callback) {
            var $this = this
            this.getNav(this.columnId, function(data){
              var _index = data.findIndex(function (item) {
                return item['id'] == _cid_
              })
              if (_index > -1) {
                data.map(function (item, i) {
                  item['selected'] = (i == _index) ? true : false
                })
              }
              $this.navItems = data
              if(typeof callback == 'function') callback()
            })
          },
            changeViewStyle: function(type){
                this.viewstyle = type
            },
            navClick: function(index){
                var $this = this;
                $this.navItems.map(function(item, j){
                    if(index == j){
                        item.selected = true
                    }else{
                        item.selected = false
                    }
                })
                // 重置刷选
                $this.filterItems = []
                // 重置参数
                $this.key = ''
                $this.brandId = ''
                $this.PropertStringList = $this.selectedNav['property']
                $this.publishBegin = ''
                $this.publishEnd = ''
                $this.pageIndex = 1
                $this.pageSize = 10
                // 加载数据
                $this.getData()
            },
            removeFilter: function(index){
                var $this = this
                var item = $this.filterItems[index]
                console.log(JSON.stringify(item))
                $this.filterItems.splice(index, 1)
                $this.pageIndex = 1
                $this.pageSize = 10
                if (item['query'] == 'brand'){
                  $this.brandId = ''
                }
                if (item['query'] == 'property'){
                  var propertyStr = $this.PropertStringList
                  var propertyArr = []
                  propertyStr.split(',').map(function (property) {
                    if (property != item['id']) propertyArr.push(property)
                  })
                  $this.PropertStringList = propertyArr.join(',')
                }
                //加载数据
                $this.getData()
            },
            selectFilter: function(){
                var $this = this
                $this.navigation = this.selectedNav['id']
                //打开侧边
                $this.checkLogin(function() {
                  $app.openFilterWin({
                      name: 'photo_filter',
                      navigation: $this.navigation,
                      column: $this.columnId,
                      eventPage: 'trend',
                      items: $this.filterItems
                  })
                })
            },
            imageClick: function(index){
                var $this = this
                var _id = $this.dataItems[index]['id']
                var _title = $this.dataItems[index]['title']

                $this.checkLogin(function() {
                  $app.openWin({
                      name: 'trend-win',
                      url: 'widget://html/browser/info/info.html',
                      pageParam: {
                          id: _id,
                          title: _title,
                          name: $this.selectedNav['name']
                      }
                  })
                })
            },
            //数据源
            getData: function() {
                var $this = this;
                var navId = this.selectedNav['id']
                console.log(JSON.stringify(this.selectedNav))

                var query_data = {
                  'cid': navId,
                  'key': $this.key,
                  'brandId': $this.brandId,
                  'PropertStringList': $this.PropertStringList,
                  'publishBegin': $this.publishBegin,
                  'publishEnd': $this.publishEnd,
                }
                api.showProgress();
                $app.ajax.postq('/api/article/GetArticlePageIndexList', query_data, function(res){
                  //业务处理
                  api.hideProgress()
                  var data = res.Data
                  $this.dataItems = data.map(function(item){
                      var _item = {
                        'id': item['fdArtiID'],
                        'title': $this.oneEmpty(item['fdArtiTitle']),
                        'image': $this.absoluteUrl(item['fdArtiPic']),
                        'city': item['City'],
                        'season': item['Season'],
                        'cate': item['Cate'],
                        'desc': item['fdArtiDesc'],
                        'view': item['fdArtiClick'],
                        'time': $this.formatTime(item['fdArtiPublishTime'])
                      }
                      return _item
                  });

                })
            },
            getMoreData: function(){
              var $this = this;
              var navId = this.selectedNav['id']

              var query_data = {
                'cid': navId,
                'key': $this.key,
                'brandId': $this.brandId,
                'PropertStringList': $this.PropertStringList,
                'publishBegin': $this.publishBegin,
                'publishEnd': $this.publishEnd,
                'pageIndex': $this.pageIndex + 1,
                'pageSize': $this.pageSize
              }

              $this.dataLoading = true

              console.log(JSON.stringify(query_data))

              $app.ajax.postq('/api/article/GetArticleList', query_data, function(res){
                //业务处理
                $this.dataLoading = false
                if(res.Code == 1){
                  var data = res.Data
                  if(data.length > 0){
                    $this.pageIndex++
                    data.map(function(item){
                        var _item = {
                          'id': item['fdArtiID'],
                          'title': $this.oneEmpty(item['fdArtiTitle']),
                          'image': $this.absoluteUrl(item['fdArtiPic']),
                          'city': item['City'],
                          'season': item['Season'],
                          'cate': item['Cate'],
                          'desc': item['fdArtiDesc'],
                          'view': item['fdArtiClick'],
                          'time': $this.formatTime(item['fdArtiPublishTime'])
                        }
                        $this.dataItems.push(_item)
                    });
                  }else{
                    $this.bottomText = '我是有底线的'
                  }
                }
                if(res.Code == 2){
                  $app.openLogin();
                }

              })
            }
        },
    })

};
