var vm;
var navigater;

apiready = function() {

  navigater = api.pageParam.navigater || 0

  // 监听选择的品牌
  api.addEventListener({
      name: 'interest-select-brand'
  }, function(ret, err){
      if( ret ){
        var _brand = ret.value.data
        var brand = JSON.parse(_brand)
        var _a = vm.otherBrands
        brand.map(function(item){
          _a.push(item)
        })
        vm.otherBrands = _a
      }
  });


    vm = new Vue({
        el: '#content',
        mixins: [mixin],
        data: {
            typeItems: [
                {id: 1, name: '女包', selected: false},
                {id: 2, name: '男包', selected: false},
                {id: 3, name: '皮带', selected: false}
            ],
            selectTypes: [1, 2, 3],

            classicBrands: [],
            classicBrandMore: false,
            nicheBrands: [],
            nicheBrandMore: false,
            otherBrands: [],
            interestItems: []
        },
        computed: {
            classicBrandItems: function() {
                return this.classicBrandMore ? this.classicBrands : this.classicBrands.slice(0, 10)
            },
            nicheBrandItems: function() {
              return this.nicheBrandMore ? this.nicheBrands : this.nicheBrands.slice(0, 10)
            }
        },
        created: function(){

            var $this = this;
            var _interestData = $user.getInterest()
            if(_interestData) {
              _interestData = _interestData.split(',')
              $this.interestItems = _interestData.map(function(item) {
                return item.substring(1)
              })
            }

            $this.getData()
        },
        mounted: function() {
          // var $this = this
          // $this.typeItems.map(function(item) {
          //   var index = $this.interestItems.findIndex(function(interest){
          //     return interest == item['id']
          //   })
          //   if(index > -1){
          //     item['selected'] = true
          //   }
          // })
        },
        methods: {
            typeItemClick: function(index){
                this.typeItems[index]['selected'] = !this.typeItems[index]['selected']
                var _selectItem = []
                this.typeItems.map(function(item) {
                  if(item['selected'] == true) _selectItem.push(item['id'])
                })
                this.classicBrandMore = false
                this.nicheBrandMore = false
                this.selectTypes = _selectItem
                this.getData()
            },
            classicItemClick: function(index){
                this.classicBrands[index]['selected'] = !this.classicBrands[index]['selected']
            },
            nicheItemClick: function(index){
                this.nicheBrands[index]['selected'] = !this.nicheBrands[index]['selected']
            },
            delBrandItem: function(index) {
              this.otherBrands.splice(index, 1)
            },
            getInterestValue: function() {
                var _interestData = []
                var _property = []
                var _brand = []
                var _otherbrand = []
                this.typeItems.map(function(item){
                  if(item['selected'] == true){
                    _interestData.push('T'+item['id'])
                    _property.push(item['id'])
                  }
                })
                this.classicBrands.map(function(item){
                  if(item['selected'] == true){
                    _interestData.push('B'+item['id'])
                    _brand.push(item['id'])
                  }
                })
                this.nicheBrands.map(function(item){
                  if(item['selected'] == true){
                    _interestData.push('B'+item['id'])
                    _brand.push(item['id'])
                  }
                })
                this.otherBrands.map(function(item) {
                  _interestData.push('B'+item['id'])
                  _otherbrand.push(item['id'])
                })
                return {
                  interest: _interestData,
                  property: _property,
                  brand: _brand,
                  otherbrand: _otherbrand
                }
            },
            handleBrandData: function(_property, _brand, _otherbrand) {
              var _brandArr = []
              if (_property.length == 0) _property = [1, 2, 3]
              // 经典，小众品牌
              if (_brand.length > 0) {
                for (var i = 0; i < _brand.length; i++) {
                  for (var j = 0; j < _property.length; j++) {
                    _brandArr.push([_brand[i], _property[j]])
                  }
                }
              }
              // 其它品牌
              var _otherproperty = [1, 2, 3]
              if (_otherbrand.length > 0) {
                for (var i = 0; i < _otherbrand.length; i++) {
                  for (var j = 0; j < _otherproperty.length; j++) {
                    _brandArr.push([_otherbrand[i], _otherproperty[j]])
                  }
                }
              }
              return JSON.stringify(_brandArr)
            },
            // 关注
            handleInterest: function(){

                var _interestData = this.getInterestValue()
                var _interest = _interestData['interest']
                var _property = _interestData['property']
                var _brand = _interestData['brand']
                var _otherbrand = _interestData['otherbrand']

                console.log(JSON.stringify(_interest))
                if(_interest.length > 0){
                  $user.delInterest()
                  $user.setInterest(_interest.join(','))
                  //测试
                  var brandJson = this.handleBrandData(_property, _brand, _otherbrand)
                  console.log(brandJson)
                  $app.ajax.postq('/api/follow/AddFollow?brandJson='+brandJson,function(res) {
                    console.log(JSON.stringify(res))
                    if(res.Code == 1){
                      if(navigater == 1){ // 返回上一个视图
                        api.closeWin({
                            name: api.winName
                        });
                      }else{
                        api.closeToWin({
                            name: 'main'
                        });
                      }
                    }else{
                      api.toast({
                          msg: '网络错误',
                          duration: 2000,
                          location: 'bottom'
                      });
                    }
                  })
                }else{
                  api.toast({
                      msg: '请选择关注品牌',
                      duration: 2000,
                      location: 'bottom'
                  });

                }
            },
            bingAjpush: function(options) {
              var ajpush = api.require('ajpush')
              var param = Object.assign({}, options)
              ajpush.bindAliasAndTags(param, function(ret) {
                var statusCode = ret.statusCode;
                console.log(statusCode)
              });
            },
            getData: function() {
              this.getSmallBrandData()
              this.getHotBrandData()
            },
            getBrandData: function(types, audience, fun) {
                var $this = this
                var query_data = {
                  'types': types,
                  'audience': audience,
                  'topCount': 100
                }
                $app.ajax.get('/api/follow/GetBrandList', query_data, function(res) {
                  if(res.Code == 1) {
                    var data = res.Data
                    var dataItems = data.map(function(item) {
                        return {
                            'id': item['fdBranID'],
                            'name': $this.oneEmpty(item['fdBranName']),
                            'image': $this.absoluteUrl(item['fdBranPic']),
                            'selected': false
                        }
                    })
                    if(typeof(fun) == 'function') fun(dataItems)
                  }
                })
            },
            getSmallBrandData: function() {
              var $this = this
              var types = $this.selectTypes.join(',')
              $this.getBrandData(types, 1, function(res){
                $this.classicBrands = res
              })
            },
            getHotBrandData: function(){
              var $this = this;
              var types = $this.selectTypes.join(',')
              $this.getBrandData(types, 2, function(res){
                $this.nicheBrands = res
              })

              // $app.ajax.get('/api/public/GetHotBrand', {cid: 7}, function(res){
              //   var data = res.Data
              //   if(data.length > 0){
              //     $this.nicheBrands = data.map(function(item){
              //         var index = $this.interestItems.findIndex(function(interest){return interest == item['fdBranID']})
              //         var _item = {
              //           'id': item['fdBranID'],
              //           'name': $this.oneEmpty(item['fdBranName']),
              //           'cname': $this.oneEmpty(item['fdBranChineseName']),
              //           'image': $this.absoluteUrl(item['fdBranPic']),
              //           'selected': index > -1 ? true : false
              //         }
              //         return _item
              //     });
              //   }
              // })
            },
            // 更多品牌
            openBrandWin: function(){
                $app.openWin({
                    name: 'brand-win',
                    url: 'widget://html/brand/brand/brand.html'
                })
            }
        },
    })

};
