
// 关于我们
function openAboutUsWebsite(){
    $app.openWebBrowser($app.config.website.aboutus, false)
}

// 隐私政策
function openPrivacyPolicy(){
    $app.openWebBrowser($app.config.website.privacyPolicy, false)
}

// 用户协议
function openAgreement(){
    $app.openWebBrowser($app.config.website.agreement, false)
}

// 清除缓存
function clearCache(){
    api.clearCache(function() {
        api.toast({
            msg: '清除完成'
        });
        $api.text($api.byId('appCache'), '0M');
    });
}

// 版本号
function openVersionWin(){
    $app.openWin({
        name: 'version-win',
        url: 'widget://html/my/version/version.html',
    });
}

// 字节转换
function byteChange(limit){
    var size = "";
    if(limit < 0.1 * 1024){
        size = limit.toFixed(2) + "B"
    }else if(limit < 0.1 * 1024 * 1024){
        size = (limit/1024).toFixed(2) + "KB"
    }else if(limit < 0.1 * 1024 * 1024 * 1024){
        size = (limit/(1024 * 1024)).toFixed(2) + "MB"
    }else{
        size = (limit/(1024 * 1024 * 1024)).toFixed(2) + "GB"
    }
 
    var sizeStr = size + "";
    var index = sizeStr.indexOf(".");
    var dou = sizeStr.substr(index + 1 ,2)
    if(dou == "00"){            
        return sizeStr.substring(0, index) + sizeStr.substr(index + 3, 2)
    }
    return size;
}

apiready = function(){

    // 缓存
    var appCache = api.getCacheSize({sync: true});
    $api.text($api.byId('appCache'), byteChange(appCache));

    // 版本
    var appVersion = api.appVersion
    $api.text($api.byId('appVersion'), appVersion);
    
}
    