
var vm;

function selectSubmit(){
  vm.getSelectData()
  console.log(JSON.stringify(vm.selectData))
  vm.checkLogin(function() {
    $app.openWin({
        name: 'type-result-win',
        url: 'widget://html/type/type_result/type_result.html',
        pageParam:{
          data: vm.selectData
        }
    })
  })

}

apiready = function() {

    vm = new Vue({
        el: '#content',
        mixins: [mixin],
        data: {
            navIndex: 1,

            selectData: [
              {
                name: '属性',
                items: []
              },
              {
                name: '品牌',
                items: []
              }
            ],

            keyword: '',
            brandData: [],
            hotBrandItems: [],

            styleItems: [],

            _propertyData: [],
            _childrenPropertyData: [],
            _brandData: []

        },
        computed: {
            selectItems: function(){
                return this.selectData
            },
            brandItems: function () {
                var _this = this
                var _filterItems = []
                var _brandItems = {}
                if(this.keyword.length > 0){
                    var char = this.keyword.substring(0, 1);
                    this.brandData.forEach(function (item, index) {
                        if (item['letter'].toLowerCase() == char.toLowerCase()) {
                            _filterItems.push(item)
                        }
                    });
                    if (_filterItems.length == 0) _filterItems.push(this.brandData[this.brandData.length - 1]);
                    _filterItems.map(function (item, index) {
                        _brandItems['letter'] = _filterItems[index]['letter']
                        _brandItems['items'] = []
                        _filterItems[index]['items'].map(function (word) {
                            if (word['name'].toLowerCase().indexOf(_this.keyword.toLowerCase()) > -1) {
                                _brandItems['items'].push(word)
                            }
                        })
                    })
                    return [_brandItems]
                }else{
                    return this.brandData
                }

            }
        },
        created: function(){
          //请求数据
          this.getData()
        },
        mounted: function() {

        },
        methods: {
            selectNav: function(index){
                this.navIndex = index
            },
            deletePropertySelect: function(index){
                this.selectData[0]['items'].splice(index, 1)
            },
            deleteBrandSelect: function(index){
                this.selectData[1]['items'].splice(index, 1)
            },
            //选择品牌
            hotBrandClick: function(index){
                var $this = this;
                // $this.selectData[1]['items'].splice(0, 1, this.hotBrandItems[index])
                this._brandData = this.hotBrandItems[index]
            },
            brandClick: function(i, j){
                var $this = this;
                var _parent = $this.brandItems[i]['items']
                _parent.map(function(item, index){
                    if(j == index){
                        _parent[index]['selected'] = !_parent[index]['selected']
                    }else{
                        _parent[index]['selected'] = false
                    }
                })

                $this.getBrandValue()
            },
            getSelectData: function() {
              this.getStyleValue()
              this.getChildrenValue()
              this.getBrandValue()

              if(this._childrenPropertyData){
                this._propertyData = this.contact(this._propertyData, this._childrenPropertyData)
              }
              if(this._propertyData){
                this.selectData[0]['items'] = this._propertyData
              }
              if(this._brandData){
                this.selectData[1]['items'] = this._brandData
              }
              // console.log(JSON.stringify(this.selectData))
            },
            getBrandValue: function(){
              var $this = this;
              $this._brandData = []
              $this.brandItems.map(function(brand){
                brand.items.map(function(item){
                  if(item['selected'] == true) $this._brandData.push(item)
                })
              })
              // $this.selectData[1]['items'] = $this._brandData
              console.log(JSON.stringify($this._brandData))
            },
            //选择款式
            styleClick: function(i, j){
                var $this = this;
                var _parent = $this.styleItems[i]['items']

                if (_parent[j]['items'].length == 0) {
                  _parent[j]['selected'] = !_parent[j]['selected']
                } else {
                  _parent[j]['children'] = !_parent[j]['children']
                }

                $this.getStyleValue()
            },
            getStyleValue: function(){
              var $this = this;
              $this._propertyData = []
              $this.styleItems.map(function (filter) {
                filter.items.map(function (item) {
                  if (item['selected'] == true && item['items'].length == 0) {
                    $this._propertyData.push({
                      'id': item['id'],
                      'name': item['name'],
                      'selected': item['selected']
                    })
                  }
                })
              })
              // $this.selectData[0]['items'] = this._propertyData
              console.log(JSON.stringify($this._propertyData))
            },

            closeClick: function (i, j) {
              var $this = this
              $this.styleItems[i]['items'][j]['children'] = false
              var _parent = $this.styleItems[i]['items'][j]['items']
              var isSelected = false
              _parent.map(function (item, index) {
                if (_parent[index]['selected'] == true) {
                  isSelected = true
                }
              })
              $this.styleItems[i]['items'][j]['children'] = false
              if (isSelected) {
                $this.styleItems[i]['items'][j]['selected'] = true
              } else {
                $this.styleItems[i]['items'][j]['selected'] = false
              }

            },

            submitClick: function(i, j) {
              var $this = this
              $this.closeClick(i, j)
            },

            childClick: function (i, j, k) {
              var $this = this;
              var _parent = $this.styleItems[i]['items'][j]['items']
              if (k == 0) {
                _parent.map(function (item, index) {
                  _parent[index]['selected'] = false
                })
                _parent[0]['selected'] = true
              } else {
                _parent[0]['selected'] = false
                _parent[k]['selected'] = !_parent[k]['selected']
              }
              $this.getChildrenValue()
            },

            getChildrenValue: function(){
              var $this = this
              $this._childrenPropertyData = []
              $this.styleItems.map(function (filter) {
                filter.items.map(function (item) {
                  if (item['items'].length > 0) {
                    item['items'].map(function (child) {
                      if (child['selected'] == true) {
                        $this._childrenPropertyData.push({
                          'id': child['id'],
                          'name': child['name'],
                          'selected': child['selected']
                        })
                      }
                    })
                  }
                })
              })
              console.log(JSON.stringify($this._childrenPropertyData))
            },

            //请求数据
            getData: function(){
                this.getBrandData()
                this.getHotBrandData()
                this.getStyleData()
            },
            getBrandData: function(){
                var $this = this
                api.showProgress({title: '请稍等', text: '数据加载中'});
                $app.ajax.get('/api/public/GetBrandListBy', {type: 1, cid: 0}, function(res){
                  api.hideProgress();
                  var data = res.Data
                  var ret = []
                  if (data.length > 0) {
                    for (var i = 0; i < data.length; i++) {
                      var item = {
                        'letter': data[i]['FirstChar'],
                        'items': []
                      }
                      item['items'] = data[i]['BrandList'].map(function (item) {
                        return {
                          'id': item['fdBranID'],
                          'name': item['fdBranName'],
                          'cname': item['fdBranChineseName'],
                          'selected': false
                        }
                      })
                      ret.push(item)
                    }
                  }
                  $this.brandData = ret
                })
            },
            getHotBrandData: function(){
                var $this = this
                $app.ajax.get('/api/index/GetHotBrand', function(res) {
                    var data = res.Data
                    $this.hotBrandItems = data.map(function(item) {
                        var url = item['url']
                        url = url.split('-')
                        id = url[url.length - 1]
                        return {
                            'id': id,
                            'name': $this.oneEmpty(item['name']),
                            'image': $this.absoluteUrl(item['pic'])
                        }
                    })
                })
            },
            getStyleData: function(){
                var $this = this
                api.showProgress();
                $app.ajax.get('/api/public/GetPropertyList', {cid: 0}, function(res){
                  api.hideProgress();
                  if(res.Code == 1){
                    var data = res.Data
                    var ret = []
                    if (data.length > 0) {
                      for (var i = 0; i < data.length; i++) {
                        var item = {
                          'id': data[i]['Parent']['fdPropID'],
                          'name': data[i]['Parent']['fdPropName'],
                          'items': []
                        }
                        item['items'] = data[i]['Children'].map(function (item) {

                          var _items = []
                          if (item['Children'] != null) {
                            _items = item['Children'].map(function (child) {
                              return {
                                'id': child['fdPropID'],
                                'name': child['fdPropName'],
                                'selected': false
                              }
                            })
                            _items.unshift({
                              'id': item['fdPropID'],
                              'name': item['fdPropName'],
                              'selected': false
                            })
                          }

                          return {
                            'id': item['fdPropID'],
                            'name': item['fdPropName'],
                            'selected': false,
                            'children': false,
                            'items': _items
                          }

                        })
                        ret.push(item)
                      }
                    }
                  }
                  $this.styleItems = ret
                })
            }
        },
    })

};
