//传送格式(id优先级大于cid)
// {
//   'type': '', //趋势(trend), 款式(style),书刊(book), 素材(material), 图片检索(search) 必填
//   'id': '', // 趋势ID、款式，素材专辑ID，杂志ID
//   'cid': '',
//   'key': '',
//   'brandId': '',
//   'PropertStringList': '',
//   'size': '',
//   'publishBegin': '',
//   'publishEnd': ''
// }

function pushTo(data) {
  console.log(JSON.stringify(data))
    if(!$user.checkLogin()) return
    if (!data['type']) return
    switch (data['type']) {
        case 'trend':
            if (data['id']) { //打开趋势详情页
              $app.openWin({
                  name: 'trend-win',
                  url: 'widget://html/browser/info/info.html',
                  pageParam: {
                      id: data['id'],
                      title: '',
                      name: ''
                  }
              })
            } else { //趋势列表页
                $app.openWin({
                    name: 'trend-push-win',
                    url: 'widget://html/push/trend/trend.html',
                    pageParam: {
                        cid: data['cid'],
                        key: data['key'],
                        brandId: data['brandId'],
                        PropertStringList: data['PropertStringList'],
                        size: data['size'],
                        publishBegin: data['publishBegin'],
                        publishEnd: data['publishEnd'],
                    }
                })
            }
            break;
        case 'style':
        case 'material':
            if (data['id']) { //款式,素材专辑页
                $app.openAlbumWin({
                    type: 'album',
                    column: '',
                    id: _id,
                    title: ''
                })
            } else { //款式,素材列表页
                $app.openWin({
                    name: 'style-push-win',
                    url: 'widget://html/push/style/style.html',
                    pageParam: {
                        cid: data['cid'],
                        key: data['key'],
                        brandId: data['brandId'],
                        PropertStringList: data['PropertStringList'],
                        size: data['size'],
                        publishBegin: data['publishBegin'],
                        publishEnd: data['publishEnd'],
                    }
                })
            }
            break;
        case 'book':
            if (data['id']) { //书刊页
                $app.openWin({
                    name: 'book_image',
                    url: 'widget://html/book/book_image/book_image.html',
                    pageParam: {
                        cid: '',
                        id: data['id'],
                        title: ''
                    }
                })
            } else { //书刊列表页
                $app.openWin({
                    name: 'book-push-win',
                    url: 'widget://html/push/book/book.html',
                    pageParam: {
                        cid: data['cid'],
                        key: data['key'],
                        brandId: data['brandId'],
                        PropertStringList: data['PropertStringList'],
                        size: data['size'],
                        publishBegin: data['publishBegin'],
                        publishEnd: data['publishEnd'],
                    }
                })
            }
            break;
        case 'search':
            //检索页id无效
            $app.openWin({
                name: 'image-push-win',
                url: 'widget://html/push/image/image.html',
                pageParam: {
                    cid: data['cid'],
                    key: data['key'],
                    brandId: data['brandId'],
                    PropertStringList: data['PropertStringList'],
                    size: data['size'],
                    publishBegin: data['publishBegin'],
                    publishEnd: data['publishEnd'],
                }
            })
            break;
        default:
            break;
    }
}
