(function(window) {
    var user = {
        set: function(key, value){
            api.setPrefs({
                key: key,
                value: value
            });
        },
        get: function(key){
            return api.getPrefs({
                sync: true,
                key: key
            });
        },
        del: function(key){
            api.removePrefs({
                key: key
            });
        },
        // 感兴趣品牌
        setInterest: function(value){
            if(!value) return;
            this.set('client-user-interest', value)
        },
        getInterest: function(){
          return this.get('client-user-interest')
        },
        delInterest: function(){
            this.del('client-user-interest')
        },
        checkInterest: function(){
            if(!this.get('client-user-interest')){
                return false;
            }else{
                return true;
            }
        },
        setLoginInfo: function(value) {
          this.set('client-user-login-info', value)
        },
        getLoginInfo: function() {
          return this.get('client-user-login-info')
        },
        delLoginInfo: function() {
          this.del('client-user-login-info')
        },
        setLogin: function(value){
            this.set('client-user-login', value)
        },
        setLogout: function(){
            this.del('client-user-login')
            this.del('client-user-login-info')
        },
        //是否登录
        checkLogin: function(){
            return !this.get('client-user-login') ? false : true;
        },
        //登录信息
        getLogin: function(){
            return this.get('client-user-login')
        },
        setRemember: function(value) {
          this.set('client-user-login-remember', value)
        },
        getRemember: function() {
          return this.get('client-user-login-remember')
        },
        delRemember: function() {
          this.del('client-user-login-remember')
        },
        //推送id
        setAjpush: function(value) {
          this.set('client-user-Ajpush-RegistrationId', value)
        },
        getAjpush: function() {
          return this.get('client-user-Ajpush-RegistrationId')
        }
    }
    window.$user = user;
})(window)
